{
  "$schema":  "https://raw.githubusercontent.com/jetify-com/devbox/0.16.0/.schema/devbox.schema.json",
  "packages": ["hugo@latest"],
  "shell": {
    "init_hook": [
      "echo 'Welcome to devbox!' > /dev/null"
    ],
    "scripts": {
      "build": [
        "hugo build -s hugo",
				"docker build --no-cache --platform=linux/arm64/v8 -t gitea.alphabreed.com/jazzman/alphabreed:arm64 .",
				"docker build --no-cache --platform=linux/amd64 -t gitea.alphabreed.com/jazzman/alphabreed:amd64 .",
				"docker image save gitea.alphabreed.com/jazzman/alphabreed:arm64 >alphabreed-arm64.tar"
      ],
			"deploy": [
				"docker push gitea.alphabreed.com/jazzman/alphabreed:arm64"
			]
    }
  }
}
